Package net.commoble.exmachina.api

# Interface Connector.BlockConnector

Enclosing interface:
  `Connector`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public static interface Connector.BlockConnector
Connector cached and validated for its block

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Connector.BlockConnector`
`EMPTY`
empty/invalid BlockConnector instance representing blocks which do not have an assigned Connector or are otherwise invalid

## Method Summary

Modifier and Type
Method
Description
`Connector.StateConnector`
`getStateConnector(net.minecraft.world.level.block.state.BlockState state)`
Returns a StateConnector for a given blockstate of this block, which is cached.
`default boolean`
`isPresent()`
Returns true if this BlockConnector is not invalid/empty.

## Field Details

### EMPTY

static final Connector.BlockConnector EMPTY
empty/invalid BlockConnector instance representing blocks which do not have an assigned Connector or are otherwise invalid

## Method Details

### getStateConnector

Connector.StateConnector getStateConnector(net.minecraft.world.level.block.state.BlockState state)
Returns a StateConnector for a given blockstate of this block, which is cached.

Parameters:
  `state` - BlockState of this BlockConnector's block
Returns:
  a StateConnector for a given blockstate of this block, which is cached

### isPresent

default boolean isPresent()
Returns true if this BlockConnector is not invalid/empty.

Returns:
  true if this BlockConnector is not invalid/empty